'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isSameToken = require('../utils/isSameToken');

var _isSameToken2 = _interopRequireDefault(_isSameToken);

var _hotpToken = require('./hotpToken');

var _hotpToken2 = _interopRequireDefault(_hotpToken);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Checks the provided OTP token against system generated token
 *
 * @module core/hotpCheck
 * @param {string} token - the OTP token to check
 * @param {string} secret - your secret that is used to generate the token
 * @param {number} counter - the OTP counter (usually it's an incremental count)
 * @param {object} options - options which was used to generate it originally
 * @return {boolean}
 */
function hotpCheck(token, secret, counter) {
  var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  var systemToken = (0, _hotpToken2.default)(secret, counter, options);

  if (systemToken.length < 1) {
    return false;
  }

  return (0, _isSameToken2.default)(token, systemToken);
}

exports.default = hotpCheck;