'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _hotpSecret = require('./hotpSecret');

var _hotpSecret2 = _interopRequireDefault(_hotpSecret);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates options for HOTP
 *
 * @module core/hotpOptions
 * @param {number} options.digits - the output token length
 * @param {string} options.encoding - the encoding of secret
 * @return {object}
 */
function hotpOptions() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  return _extends({
    algorithm: 'sha1',
    createHmacSecret: _hotpSecret2.default,
    digits: 6,
    encoding: 'ascii'
  }, options);
}

exports.default = hotpOptions;