'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isSameToken = require('../utils/isSameToken');

var _isSameToken2 = _interopRequireDefault(_isSameToken);

var _totpToken = require('./totpToken');

var _totpToken2 = _interopRequireDefault(_totpToken);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Checks the provided OTP token against system generated token
 *
 * @module core/totpCheck
 * @param {string} token - the OTP token to check
 * @param {string} secret - your secret that is used to generate the token
 * @param {object} options - options which was used to generate it originally
 * @return {boolean}
 */
function totpCheck(token, secret) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var systemToken = (0, _totpToken2.default)(secret, options);

  if (systemToken.length < 1) {
    return false;
  }

  return (0, _isSameToken2.default)(token, systemToken);
}

exports.default = totpCheck;