'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hotpToken = require('./hotpToken');

var _hotpToken2 = _interopRequireDefault(_hotpToken);

var _totpCounter = require('./totpCounter');

var _totpCounter2 = _interopRequireDefault(_totpCounter);

var _totpOptions = require('./totpOptions');

var _totpOptions2 = _interopRequireDefault(_totpOptions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates the OTP code
 *
 * @module core/totpToken
 * @param {string} secret - your secret that is used to generate the token
 * @param {object} options - allowed options as specified in totpOptions()
 * @return {string} OTP Code
 */
function totpToken(secret) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var opt = (0, _totpOptions2.default)(options);
  var counter = (0, _totpCounter2.default)(opt.epoch, opt.step);
  return (0, _hotpToken2.default)(secret, counter, opt);
}

exports.default = totpToken;