'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _thirtyTwo = require('thirty-two');

var _thirtyTwo2 = _interopRequireDefault(_thirtyTwo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Decodes base32 value to secret.
 *
 * @module impl/authenticator/decodeKey
 * @param {string} encodedKey - your encoded secret that is used to generate the token
 * @param {string} format - any format supported by node's `Buffer`
 * @return {string} Decoded string
 */
function decodeKey(encodedKey, format) {
  var fmt = format || 'binary';
  return _thirtyTwo2.default.decode(encodedKey).toString(fmt);
}

exports.default = decodeKey;