'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _HOTP = require('./classes/HOTP');

var _HOTP2 = _interopRequireDefault(_HOTP);

var _TOTP = require('./classes/TOTP');

var _TOTP2 = _interopRequireDefault(_TOTP);

var _Authenticator = require('./classes/Authenticator');

var _Authenticator2 = _interopRequireDefault(_Authenticator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Instance of otplib (Entry File)
 *
 * One-Time Password Library
 *
 * @since 3.0.0
 * @author Gerald Yeo
 * @license MIT
 */
exports.default = {
  Authenticator: _Authenticator2.default,
  HOTP: _HOTP2.default,
  TOTP: _TOTP2.default,
  authenticator: new _Authenticator2.default(),
  hotp: new _HOTP2.default(),
  totp: new _TOTP2.default()
};