'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Do a left padding if value's length less than total
 *
 * @module utils/leftPad
 * @param {integer} value - the original value
 * @param {integer} length - the total length of the string
 * @return {string}
 */
function leftPad(value, length) {
  var total = !length ? 0 : length;

  var padded = value + '';

  while (padded.length < total) {
    padded = '0' + padded;
  }

  return padded;
}

exports.default = leftPad;