'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _crypto = require('crypto');

var _crypto2 = _interopRequireDefault(_crypto);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Naive secret key generation tool
 *
 * @module utils/secretKey
 *
 * @param {integer} length - the key length
 * @param {string} format - any format supported by node's `crypto`
 * @return {string}
 */
function secretKey() {
  var length = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 16;
  var format = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'base64';

  if (length < 1) {
    return '';
  }

  return _crypto2.default.randomBytes(length).toString(format) // convert format
  .slice(0, length); // return required number of characters
}

exports.default = secretKey;