'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Divides number/string into defined quantity per set
 *
 * @module utils/setsOf
 * @param {string} value - string value to split
 * @param {integer} amount - number of digits per set
 * @param {string} divider - defines how sets are joined.
 * @return {string}
 */
function setsOf(value) {
  var amount = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;
  var divider = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : ' ';

  var num = parseInt(amount, 10);

  if (Number.isNaN(num) || typeof value !== 'string') {
    return '';
  }

  var regex = new RegExp('.{1,' + amount + '}', 'g');
  return value.match(regex).join(divider);
}

exports.default = setsOf;